<!DOCTYPE html>
<html lang="it">
    <head>
        <meta charset="UTF-8">

        <title>Scopri</title>
     
        <meta name="author" content="WP Security Hub">
        <meta name="description" content="Proteggi il tuo sito in un click.">
        <meta name="keywords" content="media designer, WordPress plugin, security plugin, web designer, Milano, digital, creative, website">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> 


        <style>

            /* white: #FFFFFF */
            /* deep blue: #002336 */
            /* sky blue: #BFD7EA */
            /* pink: #F6B7CB */
            /* green: #00818D */

            body {
                background-color: #BFD7EA;
                color: #002336;
            }

            #home-plugin{
                margin-left: 30px;
                font-family: "Lato", sans-serif;
                font-weight: 500;
                color: #FFFFFF;
            }

            h1, h2, h3, h4, h5 {
                font-family: "Montserrat", sans-serif;
                font-weight: 600;
                margin-bottom: 0;
                color: #002336;
            }

            h1 {
                font-size: 36px;
                margin-top: 60px;
                line-height: 40px;
                font-weight: 600;
            }
            

            h2 {
                font-size: 27px;
                line-height: 30px
            }

            h3 {
                font-size: 18px;
                line-height: 24px;
            }

            h4 {
                color: #F6B7CB;
                font-weight: 700;
                font-size: 18px;
            }

            p, label {
                font-size: 14px;
                color: #002336;
            }

            input {
                height: 40px;
                border-radius: 16px;
                border: 1px solid #BFD7EA;
                width: 300px;
                color: #002336;
                padding-left: 15px;
                font-family: "Montserrat", sans-serif;
            }

            .pink, .pink:hover {
                color: #F6B7CB;
                font-weight: 700;
            }

            .green, .green:hover {
                color: #00818D;
                font-weight: 600;
            }

            a, a:hover {
                font-size: 14px;
                text-decoration: none;
                cursor: pointer;
                color: #002336;
            }

            .link {
                font-family: "Montserrat", sans-serif;
                color: #002336;
                font-weight: 500;
            }

            #licenseCode {
                width: 300px;
                border: 1px solid #BFD7EA;
                border-radius: 8px;
                height: 40px;
                margin-right: 10px;
                padding-left: 30px;
            }

            .container {
                display: flex;
                justify-content: flex-start;
            }

            .container > div {
                margin-top: 20px;
                background-color: #FFFFFF;
                border-radius: 8px;
                width: 35vw;
                height: 100%;
            }

            .container > div > p {
                color: #002336;
                padding: 0 15px;
                font-family: "Montserrat", sans-serif;
            }


            .cards {
                background-color: #FFFFFF;
                margin-bottom: 30px;
                border-radius: 16px;
                padding: 10px 30px;
            }


            .status-active > span {
                font-family: "Montserrat", sans-serif;
                font-weight: 600;
                font-size: 16px;
                padding-top: 15px;
                color: #00818D;
            }

            .title-status {
                display: flex;
                justify-content: space-between;
                vertical-align: middle;
                padding-bottom: 10px;
            }

            
            .cardbody {
                margin-bottom: 5px;
            }

            .planeService {
                display: flex;
                justify-content: flex-start;
                margin-top: 30px;
            }

            @media (max-width: 800px) {
                .container, .planeService {
                    flex-direction: column;
                    width: 100vw;
                }

                #home-plugin {
                    margin-left: 5vw;
                    margin-right: 5vw;
                }

            }

            #allService {
                /* margin-right: 20px;
                margin-left: -5vw;
                padding-left: 5vw; */
                padding-bottom: 20px;
                padding-top: 20px;
                height: 35vh;
                margin-bottom: 4vh;
            }

            #allService h3, #allService p {
                color: #002336;
            }

            .radioCheck {
                margin-bottom: 10px;
            }

            input[type='radio']:checked:after {
                background-color: #00818D;
            }

            input[type=radio]:checked::before{
                background-color: #00818D;
            }

            .greenBtn {
                font-family: "Montserrat", sans-serif;
                font-weight: 500;
                background-color: #00818D;
                color: #FFFFFF;
                border-radius: 8px;
                border: none;
                padding: 8px 32px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
                font-size: 14px;
                cursor: pointer;
                height: 40px;
                margin-top: 10px;
                width: 150px;
            }

            .pinkBtn {
                font-family: "Montserrat", sans-serif;
                font-weight: 500;
                background-color: #F6B7CB;
                color: #002336;
                border-radius: 8px;
                border: none;
                padding: 8px 32px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
                font-size: 14px;
                cursor: pointer;
                height: 40px;
                margin-top: 10px;
                width: 150px;
            }

            .greenBtn > a, .greenBtn > a:hover {
                font-size: 14px;
                text-decoration: none;
                cursor: pointer;
                color: #FFFFFF;
            }

            .pinkBtn > a, .pinkBtn > a:hover {
                font-size: 14px;
                text-decoration: none;
                cursor: pointer;
                color: #002336;
            }

            .tab {
                float: left;
                width: 70px;
                margin-top: 10px;
            }

            .tab button {
                display: block;
                background-color: inherit;
                color: #002336;
                padding: 0;
                width: 100%;
                border: none;
                outline: none;
                text-align: left;
                cursor: pointer;
                transition: 0.3s;
                margin-bottom: 10px;
                font-family: "Montserrat", sans-serif;
            }

            .tab button:hover {
                color: #002336;
            }

            .tab button.active {
                color: #00818D;
                font-weight: 700;
                font-size: 16px;
            }

            .tabcontent {
                float: left;
                padding: 5px 20px;
                border: 1px solid #00818D;
                width: 50%;
                height: 100%;
                margin-left: 50px;
                border-radius: 8px;
                font-family: "Montserrat", sans-serif;
            }

            ul {
                display: block;
                padding-left: 15px;
                list-style: disc;
                color: #002336;
            }

            #freePro360 {
                border-radius: 0 16px 0 0;
                background-color: #002336;
                margin-left: -10vw;
                width: 85vw;
            }

            #freePro360 > div {
                color: #FFFFFF;
                margin-left: 10vw;
                padding: 30px 0;
            }

            #freePro360 > div > h3, #freePro360 > div > p {
                color: #FFFFFF;
            }

            #freePro360 > div > button {
                margin-bottom: 60px;
                font-weight: 500;
                margin: 20px 0;
            }

            #freePro360 > ul {
                padding-left: 20px;
                margin-top: 10px; 
            }

            #freePro360 > ul > li {
                margin-bottom: 5px;
            }


        </style>

    </head>


    <body>

        <div id="home-plugin">

            <div>
                <h1>Aumenta la sicurezza del tuo sito in <span class="green">un click.<span></h1>
                <p>WP Security Hub è il plugin che stavi aspettando. <br>
                Un vero e proprio centro di controllo per proteggere il tuo sito WordPress dalle molteplici minacce che lo mettono a rischio ogni giorno.</p>
                <p class="link">Vuoi saperne di più? <a href="https://www.wp-securityhub.it/" class="green" target="_blank">Scopri di più → </a></p>
            </div>


            <div id="allService">
                <h2>Ecco tutti i nostri servizi.</h2>
                <p class="link">Scopri ora tutti i <a href="https://www.wp-securityhub.it/prezzi/" class="green" target="_blank">nostri piani →</a></p>
            

                <!-- Tab dei piani -->
                <div style="margin-top: 36px">

                    <div class="tab">
                        <button class="tablinks" onclick="tabPlaneService(event, 'Free')" id="defaultOpen">Free</button>
                        <button class="tablinks" onclick="tabPlaneService(event, 'Basic')">Basic</button>
                        <button class="tablinks" onclick="tabPlaneService(event, 'Plus')">Plus</button>
                        <button class="tablinks" onclick="tabPlaneService(event, 'Pro 360')">Pro 360</button>
                    </div>

                    <div id="Free" class="tabcontent">
                        <h3>Questi servizi sono sempre attivi, anche nella versione Free:</h3>
                        
                        <ul type="disc">
                            <li>Autenticazione a due fattori</li>
                            <li>Controllo attacchi Brute Force per login</li>
                        </ul>

                    </div>

                    <div id="Basic" class="tabcontent">
                        <h3>Tutti i servizi inclusi nel <strong>piano Free + </strong></h3>
                        
                        <ul type="disc">
                            <li>Cambio credenziali Amministratore</li>
                            <li>Eliminazione dei file superflui</li>
                            <li>Occultazione del file wp-config.php</li>
                        </ul>

                    </div>

                    <div id="Plus" class="tabcontent">
                        <h3>Tutti i servizi inclusi nel <strong>piano Basic + </strong></h3>
                        
                        <ul type="disc">
                            <li>Verifica degli utenti inattivi</li>
                            <li>Controllo secret key</li>
                        </ul>

                    </div>

                    <div id="Pro 360" class="tabcontent">
                        <h3>Tutti i servizi inclusi nel <strong>piano Plus + </strong></h3>
                        
                        <ul type="disc">
                            <li>Avviso inattività del sito</li>
                            <li>Backup</li>
                        </ul>

                    </div>

                </div>

            </div>

            <!-- Questa roba è nuova oh! -->
            <div style="padding-bottom: 20px; margin-top: -40px;">
                <h2>Vuoi avere maggiori informazioni sul funzionamento del nostro plugin?</h2>
                <p class="link">Leggi ora la <a href="https://www.wp-securityhub.it/prezzi/" class="green" target="_blank">nostra documentazione →</a></p>
            </div>
               

            <div id="freePro360">

            <div>
                <h3>
                    Sei curioso di provare tutti i nostri servizi?<br>
                    Prova ora <span class="pink">Pro 360 GRATIS</span> per 15 giorni.
                </h3>
                
                <button type="submit" class="pinkBtn">Prova ora</button>
            </div>


        </div>
        
    </body>
</html>

<script>
    function tabPlaneService(evt, service) {
    var i, tabcontent, tablinks;

    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }

    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }

    document.getElementById(service).style.display = "block";
    evt.currentTarget.className += " active";
    }

    document.getElementById("defaultOpen").click();
</script>

