<!DOCTYPE html>
<html lang="it">
    <head>
        <meta charset="UTF-8">

        <title>Servizi</title>
     
        <meta name="author" content="WP Security Hub">
        <meta name="description" content="Proteggi il tuo sito in un click.">
        <meta name="keywords" content="media designer, WordPress plugin, security plugin, web designer, Milano, digital, creative, website">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> 


        <style> 

        /* white: #FFFFFF */
        /* deep blue: #002336 */
        /* sky blue: #BFD7EA */
        /* pink: #F6B7CB */
        /* green: #00818D */


        body {
            color: #002336;
            background-color: #BFD7EA;
            font-weight: 500;
            font-family: "Lato", sans-serif;
        }


        h1, h2, h3, h4, h5 {
            font-family: "Montserrat", sans-serif;
            font-weight: 600;
        }

        h1 {
            font-size: 36px;
            line-height: 40px;
            margin-top: 60px;
        }


        h2 {
            font-size: 27px;
        }

        h3 {
            font-size: 18px;
            line-height: 21px;
            margin-bottom: 0px;
        }

        h4 {
            font-size: 18px;
            line-height: 21px;
        }

        a, a:hover {
            font-size: 14px;
            text-decoration: none;
            cursor: pointer;
            color: #00818D;
        }

        .pink, .pink:hover {
            color: #F6B7CB;
        }

        .green, .green:hover {
            color: #00818D;
        }

        .deepBlue, .deepBlue:hover {
            color: #002336;
        }

        .link {
            font-family: "Montserrat", sans-serif;
            font-weight: 500;
        }

        .link .green {
            font-weight: 600;
        }

        p, label {
            font-size: 14px;
        }

        .info-upgrade {
            margin-top: 45px;
            margin-bottom: 15px;
        }

        .info-upgrade h4 {
            margin-bottom: 0;
        }

        .info-upgrade h4 .green {
            font-weight: 700;
        }


        #serviceBody {
            margin-left: 20px;
        }


        .tab {
            overflow: hidden;
            background-color: #002336;
            border-radius: 8px;
            width: 70vw;
            margin-top: 60px;
            margin-left: -10vw;
            padding: 0 10vw;

        }

        .tab button {
            background-color: inherit;
            font-family: "Montserrat", sans-serif;
            font-weight: 600;
            float: left;
            border: none;
            outline: none;
            cursor: pointer;
            padding-right: 64px;
            transition: 0.3s;
            font-size: 16px;
            color: #FFFFFF;
            padding-top: 16px;
            padding-bottom: 16px;
        }

        .tab button:hover {
            color: #F6B7CB;
        }

        .tab button.active {
            color: #F6B7CB;
        }

        .tabcontent {
            display: none;
            border-top: none;
        }

        .container {
            display: flex;
            justify-content: flex-start;
        }

        .container > .cards {
            margin-top: 20px;
            background-color: #FFFFFF;
            border-radius: 8px;
            width: 35vw;
            height: 100%;
        }

        .container > .divplus {
            width: 35vw;
            height: 100%;
        }

        .container > .divplus > .cards {
            margin-top: 20px;
            background-color: #FFFFFF;
            border-radius: 8px;
            width: 35vw;
            height: 100%;
        }


        @media (max-width: 800px) {
            .container {
                flex-direction: column;
                width: 100vw;
            }
            .container > .divplus {
                width: 70vw;
            }

            .container > .divplus > .cards {
                width: 100%;
            }

            .container > .cards {
                width: 70vw;
            }

            #serviceBody {
                margin-left: 5vw;
                margin-right: 5vw;
            }

            .tab button {
                padding-right: 12px;
            }

        }

        .cards {
            background-color: #FFFFFF;
            font-size: 30px;
            border-radius: 16px;
            width: 50vw;
            padding: 20px;
        }


        .status-active {
            border-radius: 16px 16px 0 0;
            padding: 0;
        }

        .status-active > span {
            font-family: "Montserrat", sans-serif;
            font-weight: 600;
            font-size: 16px;
            margin-left: 15px;
            padding-top: 15px;
            color: #00818D;
        }

        .title-status {
            display: flex;
            justify-content: space-between;
            vertical-align:middle;
            margin: 2px 15px;
        }

        .status {
            margin-top: 21px;
        }

        .status span {
            background: #002336;
            border-radius: 8px;
            color: white;
            padding: 8px 16px;
        }

        .cardbody {
            margin-left: 15px;
            margin-right: 15px;
        }

        .cardbody > div {
            margin-bottom: 5px;
        }
        .cardbody > p {
            margin-bottom: 10px;
        }


        input[type=submit] {
            font-family: "Montserrat", sans-serif;
            font-weight: 500;
            background-color: #00818D;
            color: #FFFFFF;
            border-radius: 8px;
            border: none;
            padding: 8px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 14px;
            cursor: pointer;
            height: 40px;
            margin-top: 20px;
            margin-right: 15px;
        }


        input[class=switch]{
            height: 0;
            width: 0;
            visibility: hidden;
        }


        .toggle-switch {
            cursor: pointer;
            text-indent: -9999px;
            width: 40px;
            height: 20px;
            background: #c1c1c1;
            display: block;
            border-radius: 100px;
            position: relative;
        }

        .toggle-switch:after {
            content: '';
            position: absolute;
            top: 2px;
            left: 2px;
            width: 16px;
            height: 16px;
            background: #fff;
            border-radius: 30px;
            transition: 0.3s;
        }

        input:checked + .toggle-switch {
            background: #00818D;
        }

        input:checked + .toggle-switch:after {
            left: calc(100% - 2px);
            transform: translateX(-100%);
        }

        .toggle-switch:active:after {
            width: 130px;
        }

        .radiocheck {
            margin-bottom: 8px;
        }


        input[type='radio']:checked:after {
            background-color: #00818D;
        }

        input[type=radio]:checked::before{
            background-color: #00818D;
        }

        .greenBtn {
            font-family: "Montserrat", sans-serif;
            font-weight: 500;
            background-color: #00818D;
            color: #FFFFFF;
            border-radius: 8px;
            border: none;
            padding: 8px 32px;
            text-align: center;
            text-decoration: none;
            display: inline-block;
            font-size: 14px;
            cursor: pointer;
            height: 40px;
            margin-top: 20px;
            margin-right: 15px;
        }

        .greenBtn > a, .greenBtn > a:hover {
            font-size: 14px;
            text-decoration: none;
            cursor: pointer;
            color: #FFFFFF;
        }

        .btnDownloadTwoFactors, .btnDownloadTwoFactors:hover {
            text-decoration: none;
            color: none;
            cursor: pointer;
            margin-right: 8px;
        }

        </style>

    </head>

    <body>

        <div id="serviceBody">

            <h1>Tutti i nostri <span class="green">servizi.</span></h1>
            <p>WP Security Hub sta lavorando per mantenere il tuo sito al sicuro.</p>
            <p class="link">Ancora non ci conosci? <a href="https://www.wp-securityhub.it/" class="green" target="_blank">Scopri di più su di noi → </a></p>
                

            <div class="tab">
                <button class="tablinks FreeTab" onclick="tabService(event, 'Free')" id="defaultOpen">Free</button>
                <button class="tablinks BasicTab" onclick="tabService(event, 'Basic')">Basic</button>
                <button class="tablinks PlusTab" onclick="tabService(event, 'Plus')">Plus</button>
                <button class="tablinks Pro360Tab" onclick="tabService(event, 'Pro360')">Pro 360</button>
            </div>

            <!-- Servizi Free -->
            <div id="Free" class="tabcontent .container">

                <div class="info-upgrade"> 
                    <h4>Questi servizi sono <span class="green">sempre attivi.</span></h4>
                    <p class="link">Non ti bastano? <a href="https://www.wp-securityhub.it/servizi/" class="green" target="_blank">Scopri tutti gli altri servizi → </a></p>
                </div>

                <!-- Free -->
                <div class="container">
                    <!-- Autenticazione a due fattori -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Autenticazione a due fattori</h3>
                            </div>
                        </div>

                        <div class="status-active">
                            <span>Servizio sempre attivo</span>
                        </div>

                        <div class="cardbody">
                            <p style="margin-bottom: 20px">
                                Ricordati di scaricare sul tuo smartphone l’app Google Authenticator, ti servirà per scansionare il QR Code che visualizzerai dopo il login per accedere alla bacheca del tuo sito WordPress..<br>
                                L’app ti fornirà un codice che dovrai inserire nell’area sottostante al QR Code, quindi clicca su “Verifica codice”.
                            </p>

                            <!-- <button class="greenBtn" style="margin-right: 10px"><a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&hl=it&gl=US" target="_blank">Google Play</a></button>
                            <button class="greenBtn"><a href="https://apps.apple.com/it/app/google-authenticator/id388497605" target="_blank">App Store</a></button> -->

                            <a href="https://play.google.com/store/apps/details?id=com.google.android.apps.authenticator2&hl=it&gl=US" target="_blank" class="btnDownloadTwoFactors">
                                <?php echo '<img src="' . esc_url( plugins_url( 'img/Google_Play_Badge.png', dirname(__FILE__) ) ) . '" height="36" alt="Available on the Google Play"> ';?>
                            </a>

                            <a href="https://apps.apple.com/it/app/google-authenticator/id388497605" target="_blank" class="btnDownloadTwoFactors">
                                <?php echo '<img src="' . esc_url( plugins_url( 'img/App_Store_Badge.png', dirname(__FILE__) ) ) . '" height="36" alt="Download on the App Store"> ';?>
                            </a>

                        </div>
                        
                    </div>


                    <!-- Brute Force per login -->
                    <div class="cards">
                        <div class="title-status">
                            <div class="title">
                                <h3>Controllo attacchi Brute Force per login</h3>
                            </div>
                        </div>

                        <div class="status-active">
                            <span>Servizio sempre attivo</span>
                        </div>
                        <div class="cardbody">
                            <p>
                                Dopo 3 tentativi falliti per accedere all’area di amministrazione, non sarà possibile effettuare nuovi tentativi per 30 minuti.<br>
                                Seleziona in che modo vuoi ricevere le nuove credenziali (generate automaticamente) per effettuare nuovamente l’accesso al termine del tempo prestabilito.<br>
                                Per aumentare la tua sicurezza, diversifica la ricezione delle due credenziali su due canali diversi.<br>
                                Ti suggeriamo di utilizzare le nuove credenziali in quanto sono generate per mantenere alto il livello di sicurezza.
                            </p>
                            
                            <form action="" method="POST">
                                <div style="display: flex; justify-content: space-start;">
                                    <div>
                                        <p style="font-weight:600; margin-bottom: 5px">Username:</p>
                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userEmail" name="admin-username" value="admin-userEmail" checked>
                                            <label for="admin-userEmail">Email</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userSms" name="admin-username" value="admin-userSms">
                                            <label for="admin-userSms">Sms</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userTelegram" name="admin-username" value="admin-userTelegram" disabled>
                                            <label for="admin-userTelegram" style="color: #9e9e9e;">Telegram</label>
                                        </div>
                                    </div>

                                    <div style="margin-left: 36px">
                                        <p style="font-weight:600; margin-bottom: 5px">Password:</p>
                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswEmail" name="admin-psw" value="admin-pswEmail">
                                            <label for="admin-pswEmail">Email</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswSms" name="admin-psw" value="admin-pswSms" checked>
                                            <label for="admin-pswSms">Sms</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswTelegram" name="admin-psw" value="admin-pswTelegram" disabled>
                                            <label for="admin-pswTelegram" style="color: #9e9e9e;">Telegram</label>
                                        </div>
                                    </div>

                                    
                                </div>
                            
                                <input type="submit" value="Esegui" class="greenBtn" name="data">
                            </form>
                        
                        </div>

                    </div>

                </div>

            </div>



            <!-- Servizi Basic -->
            <div id="Basic" class="tabcontent .container">

                <div class="info-upgrade"> 
                    <h4>Questi servizi rientrano nel <span class="green">piano Basic.</span></h4>
                    <p class="link">Effettua ora l'upgrade per poter utilizzare questi servizi. <a href="https://www.wp-securityhub.it/prezzi/" class="green" target="_blank">Scopri come → </a></p>
                </div>

                <!-- Basic -->
                <div class="container">

                    <!-- Cambio credenziali Amministratore -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Cambio credenziali Amministratore</h3>
                            </div>
                        </div>

                        <div class="status-active">
                            <span>Servizio sempre attivo</span>
                        </div>

                        <div class="cardbody">
                            <p>
                                Ogni 3 mesi, riceverai in maniera automatica, un nuovo username e una nuova password.<br>
                                Seleziona in che modo vuoi ricevere le nuove credenziali (generate automaticamente).<br>
                                Per aumentare la tua sicurezza, diversifica la ricezione delle due credenziali su due canali diversi.<br>
                                Ti suggeriamo di utilizzare le nuove credenziali in quanto sono generate per mantenere alto il livello di sicurezza.
                            </p>

                            <form action="" method="POST">
                                <div style="display: flex; justify-content: space-start;">
                                    <div>
                                        <p style="font-weight:600; margin-bottom: 5px">Username:</p>
                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userEmail" name="admin-username" value="admin-userEmail" checked>
                                            <label for="admin-userEmail">Email</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userSms" name="admin-username" value="admin-userSms">
                                            <label for="admin-userSms">Sms</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-userTelegram" name="admin-username" value="admin-userTelegram" disabled>
                                            <label for="admin-userTelegram" style="color: #9e9e9e;">Telegram</label>
                                        </div>
                                    </div>

                                    <div style="margin-left: 36px">
                                        <p style="font-weight:600; margin-bottom: 5px">Password:</p>
                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswEmail" name="admin-psw" value="admin-pswEmail">
                                            <label for="admin-pswEmail">Email</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswSms" name="admin-psw" value="admin-pswSms" checked>
                                            <label for="admin-pswSms">Sms</label>
                                        </div>

                                        <div class="radiocheck">
                                            <input type="radio" id="admin-pswTelegram" name="admin-psw" value="admin-pswTelegram" disabled>
                                            <label for="admin-pswTelegram" style="color: #9e9e9e;">Telegram</label>
                                        </div>
                                    </div>

                                    
                                </div>
                            
                                <input type="submit" value="Esegui" class="greenBtn" name="data">
                            </form>

                        </div>
                        
                    </div>
                    <?php
                        if(isset($_POST['data'])){
                            $dataUser = new WPSH_UserData();
                            $dataUser->generate();
                        }
                        
                    ?>

                    <div class="divplus">
                        <!-- Eliminazione dei file superflui -->
                        <div class="cards" style="margin-right: 20px">
                            <div class="title-status">
                                <div class="title">
                                    <h3>Eliminazione dei file superflui</h3>
                                </div>
                            
                            </div>


                            <div class="cardbody">
                                <p>
                                    Annualmente verrà effettuata una scansione di tutti i file WordPress in cerca di quei file considerati superflui che verranno poi eliminati in maniera definitiva.
                                </p>

                                <form action="" method="POST">
                                    <input type="submit" value="Attiva" class="greenBtn" name="delate">
                                </form>

                            </div>
                            
                        </div>
                        <?php
                            if(isset($_POST['delate'])){
                                $delateFile = new WPSH_ManagementFile();
                                $delateFile->delateFile();
                                
                            }
                            
                        ?>


                        <!-- Protezione del file wp-config.php -->
                        <div class="cards" style="margin-right: 20px">
                            <div class="title-status">
                                <div class="title">
                                    <h3>Protezione del file wp-config.php</h3>
                                </div>
                            </div>

                            <div class="cardbody">
                                <p>
                                    Il file wp-config.php verrà svuotato e il suo contenuto verrà salvato in un nuovo file con una nuova posizione non facilmente raggiungibile.
                                </p>

                                <form action="" method="POST">
                                    <input type="submit" value="Esegui" class="greenBtn" name="wpConfig">
                                </form>

                            </div>
                            <?php
                                if(isset($_POST['wpConfig'])){
                                    $wpFile = new WPSH_ManagementFile();
                                    $wpFile->createFile();
                                }
                            ?>
                            
                        </div>

                    </div>

                    

                </div>

            </div>


            <!-- Servizi Plus -->
            <div id="Plus" class="tabcontent .container">

                <div class="info-upgrade"> 
                    <h4>Questi servizi rientrano nel <span class="green">piano Plus.</span></h4>
                    <p class="link">Effettua ora l'upgrade per poter utilizzare questi servizi. <a href="https://www.wp-securityhub.it/prezzi/" class="green" target="_blank">Scopri come → </a></p>
                </div>

                <!-- Plus-->
                <div class="container">

                    <!-- Verifica degli utenti inattivi -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Verifica degli utenti inattivi</h3>
                            </div>
                        </div>

                        <div class="cardbody">
                            <p>
                                Ogni 3 mesi verrà inviata un’email a tutti i tuoi utenti registrati.<br>
                                Nell’email inviata sarà presente un link per effettuare la disiscrizione al tuo sito.
                            </p>
                            
                            <form action="" method="POST">
                                <input type="submit" value="Esegui" class="greenBtn" name="user">
                            </form>
                        </div>
                        <?php
                            if(isset($_POST['user'])){
                                userControll();
                            }
                        ?>
                    </div>


                    <!-- Controllo secret key -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Controllo secret key</h3>
                            </div>
                        </div>

                        <div class="cardbody">
                            <p>
                                Verrà effettuato un controllo sulla correttezza delle secret key di WordPress, quindi, se assenti o non coerenti, verranno generate automaticamente e memorizzate nel browser per garantire una maggior sicurezza.
                            </p>
                            
                            <form action="" method="POST">
                                <input type="submit" value="Esegui" class="greenBtn" name="key">
                            </form>
                        </div>
                        <?php
                            if(isset($_POST['key'])){
                                checkKey();
                            }
                        ?>
                    </div>

                </div>


            </div>


            <!-- Servizi Pro 360 -->
            <div id="Pro360" class="tabcontent .container">
                <div class="info-upgrade"> 
                    <h4>Questi servizi rientrano nel <span class="green">piano Pro 360.</span></h4>
                    <p class="link">Effettua ora l'upgrade per poter utilizzare questi servizi. <a href="https://www.wp-securityhub.it/prezzi/" class="green" target="_blank">Scopri come → </a></p>
                </div>

                <!-- Pro 360-->
                <div class="container">

                    <!-- Avviso inattività del sito -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Avviso inattività del sito</h3>
                            </div>
                        </div>

                        <div class="cardbody">

                            <p>
                                Ogni 3 minuti verrà verificato che il sito risulti online, in caso negativo ti verrà inviata una email in maniera tempestiva.
                            </p>
                    
                        </div>

                    </div>

                   

                    <!-- Backup -->
                    <div class="cards" style="margin-right: 20px">
                        <div class="title-status">
                            <div class="title">
                                <h3>Backup</h3>
                            </div>
                        </div>

                        <div class="cardbody">
                            <p>
                                Cliccando su “Esegui” verrà generata e scaricata automaticamente una copia di backup dell’intero sito.<br>
                                La password per poter aprire e scompattare il tuo backup ti verrà inviata per email, conservala con cura, senza password il tuo backup sarà inutilizzabile. 
                            </p>
                        
                            <!-- <div class="radiocheck">
                                <input type="radio" id="backup-day" name="backup" value="backup-day"checked>
                                <label for="backup-day">Ogni giorno</label>
                            </div>

                            <div class="radiocheck">
                                <input type="radio" id="backup-week" name="backup" value="backup-week">
                                <label for="backup-week">Una volta a settimana</label>
                            </div>

                            <div class="radiocheck">
                                <input type="radio" id="backup-month" name="backup" value="backup-month">
                                <label for="backup-month">Una volta al mese</label>
                            </div> -->
                            <!-- <input type="submit" value="Attiva servizio" class="greenBtn" name="backupWeekly"> -->
                            
                            <form action="" method="post">
                                <input type="submit" value="Esegui ora" class="greenBtn" name="backupNow">
                                
                            </form>

                        </div>
                        <?php
                            if(isset($_POST['backupNow'])){
                                $home = get_home_path();
                                $upload = wp_upload_dir();
                                zip_dir($home, $upload['basedir'].'/backup.zip');

                            }
                        ?>
                        
                    </div>

                </div>

            </div>
            
            


        </div>

    </body>
</html> 

<script>
    function tabService(evt, service) {
    var i, tabcontent, tablinks;
    tabcontent = document.getElementsByClassName("tabcontent");
    for (i = 0; i < tabcontent.length; i++) {
        tabcontent[i].style.display = "none";
    }
    tablinks = document.getElementsByClassName("tablinks");
    for (i = 0; i < tablinks.length; i++) {
        tablinks[i].className = tablinks[i].className.replace(" active", "");
    }
    document.getElementById(service).style.display = "block";
    evt.currentTarget.className += " active";
    }

    document.getElementById("defaultOpen").click();

    function tabServiceByClass(service) {
        var i, tabcontent, tablinks;
        tabcontent = document.getElementsByClassName("tabcontent");
        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
        }   
        tablinks = document.getElementsByClassName("tablinks");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace(" active", "");
        }
        document.getElementById(service).style.display = "block";
        tablinkActive = document.getElementsByClassName(service + "Tab");
        tablinkActive.className += " active";
        tablinkActive.click();
    }
</script>


   
