<!DOCTYPE html>
<html lang="it">
    <head>
        <meta charset="UTF-8">

        <title>Impostazioni</title>
     
        <meta name="author" content="WP Security Hub">
        <meta name="description" content="Proteggi il tuo sito in un click.">
        <meta name="keywords" content="media designer, WordPress plugin, security plugin, web designer, Milano, digital, creative, website">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"> 


        <style> 

            /* white: #FFFFFF */
            /* deep blue: #002336  */
            /* sky blue: #BFD7EA */
            /* pink: #F6B7CB */
            /* green: #00818D */

            body {
                color: #002336 ;
                background-color: #BFD7EA ;
                font-weight: 500;
                font-family: "Lato", sans-serif;
            }

            h1, h2, h3, h4, h5 {
                font-family: "Montserrat", sans-serif;
                font-weight: 600;
            }


            
            h1 {
                font-size: 27px;
                margin-top: 60px;
            }

            h2 {
                font-size: 18px;
                margin-bottom: 0px;
            }


            .green {
                color: #00818D;
            } 

            a, a:hover {
                font-size: 14px;
                text-decoration: none;
                cursor: pointer;
                color: #00818D;
            }

            .link {
                font-family: "Montserrat", sans-serif;
            }


            label {
                font-size: 14px;
                font-family: "Montserrat", sans-serif;
            }


            input[type=text], input[type=email] {
                height: 40px;
                border-radius: 8px;
                border: 1px solid #BFD7EA;
                width: 45vw;
                margin-top: 5px;
                color: #002336;
                padding-left: 15px;
            }

            @media (max-width: 800px) {
                input[type=text], input[type=email] {
                    width: 70vw;
                }

                #settingsBody {
                    margin-left: 5vw;
                    margin-right: 5vw;
                }

            }


            input[type=submit] {
                font-family: "Montserrat", sans-serif;
                font-weight: 500;
                background-color: #00818D;
                color: #FFFFFF;
                border-radius: 8px;
                border: none;
                padding: 8px 32px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
                font-size: 14px;
                cursor: pointer;
                height: 40px;
                margin-top: 30px;
            }

            #settingsBody{
                margin-left: 30px;
            }

            #settingsForm{
                margin-top: 40px;
            }

            #settingsForm > div {
                margin-top: 15px;
            }

            .container {
                display: flex;
                justify-content: flex-start;
            }

            .container > label {
                width: 100px;
                margin-top: 16px;
            }

            .greenBtn {
                font-family: "Montserrat", sans-serif;
                font-weight: 500;
                background-color: #00818D;
                color: #FFFFFF;
                border-radius: 8px;
                border: none;
                padding: 8px 32px;
                text-align: center;
                text-decoration: none;
                display: inline-block;
                font-size: 14px;
                cursor: pointer;
                height: 40px;
                margin-top: 10px;
            }

            .greenBtn > a, .greenBtn > a:hover {
                font-size: 14px;
                text-decoration: none;
                cursor: pointer;
                color: #FFFFFF;
            }

            #licenseCode {
                width: 300px;
                border: 1px solid #BFD7EA;
                border-radius: 8px;
                height: 40px;
                margin-right: 10px;
                padding-left: 15px;
            }
            

        </style>

    </head>

    <body>
        <div id="settingsBody">


            <h1>Impostazioni</h1>

            <form action="" id="settingsForm">

                <div class="container">
                    <label for="username">Username:</label>
                    <input type="text" id="username"  name="name" placeholder="username">
                </div>
                
                <div class="container">
                    <label for="username">Email:</label>
                    <input type="email" id="email" name="email" placeholder="email">
                </div>

                <div class="container">
                    <label for="mobile">Cellulare:</label><br>
                    <input type="text" id="mobile" name="mobile" placeholder="numero di telefono">
                </div>

                <div class="container">
                    <label for="telegram">Telegram:</label><br>
                    <input type="text" id="telegram" name="telegram" placeholder="@username">
                </div>
                
                
                <input type="submit" value="Salva modifiche">
            </form>

        </div>

        <div style="margin: 80px 30px">
            <h2>Hai acquistato un nostro piano? Registralo ora.</h2>
            <p>Inserisci il codice univoco della tua licenza.</p>

            <form action="" method="post">
                <input type="text" name="code" placeholder="Codice licenza" id="licenseCode">
                <button type="submit" class="greenBtn">Attiva</button>
            </form>
        </div>


    </body>
</html> 